Skip to main content
Settings/User Management APIs

QuerySharedResource

QuerySharedResource

GET/zstack/v1/accounts/resources

Operation ID

QuerySharedResource

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • ownerAccountUuid
      StringRequired

      The owner account UUID.

    • receiverAccountUuid
      StringRequired

      The recipient account UUID.

    • toPublic
      BooleanRequired

      Specifies whether the resource is shared globally.

    • resourceType
      StringRequired

      The resource type.

    • resourceUuid
      StringRequired

      The resource UUID.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • createDate
      TimestampRequired

      The creation date.